Uses of Annotation Interface
io.helidon.service.registry.Service.Qualifier
Packages that use Service.Qualifier
Package
Description
Provides interfaces and classes for loading and working with immutable, tree-structured
configuration data.
Helidon Data Repository.
Shared GraphQL API types for Helidon client and server integrations.
HTTP APIs and implementations usable by both server and client side of the HTTP story.
API required to define services, and to compile the code generated sources for Helidon Service Registry,
with a core service registry implementation (replacement for
ServiceLoader).Helidon WebClient APIs shared by all types of clients.
Helidon WebClient gRPC Support.
Helidon WebClient WebSocket Support.
Helidon WebServer GraphQL Support.
-
Uses of Service.Qualifier in io.helidon.config
Classes in io.helidon.config with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceA qualifier for injection of a single value from the configuration tree. -
Uses of Service.Qualifier in io.helidon.data
Classes in io.helidon.data with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceQualifier used in generated code to reference which provider type to use when creating instances of repositories, such aseclipselink, jakarta, sql. -
Uses of Service.Qualifier in io.helidon.graphql
Classes in io.helidon.graphql with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceNames a GraphQL resolver argument parameter. -
Uses of Service.Qualifier in io.helidon.http
Classes in io.helidon.http with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceInject a request cookie into a server method parameter, or send a cookie from a declarative client method parameter.static @interfaceInject entity into a method parameter.static @interfaceInject a URL encoded form parameter into a server method parameter, or send a form parameter from a declarative client method parameter.static @interfaceInject a request header into a server method parameter, or send a header from a declarative client method parameter.static @interfaceInject a path parameter into a server method parameter, or provide a path template value from a declarative client method parameter.static @interfaceInject query parameter into a method parameter.static @interfaceInject grouped request parameters into a method parameter. -
Uses of Service.Qualifier in io.helidon.service.registry
Classes in io.helidon.service.registry with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceFor types that areService.PerInstance, an injection point (field, parameter) can be annotated with this annotation to receive the name qualifier associated with this instance.static @interfaceA qualifier that can restrict injection to specifically named instances, or that qualifies services with that name.static @interfaceThis annotation is effectively the same asService.Namedwhere theService.Named.value()is aClassname instead of aString. -
Uses of Service.Qualifier in io.helidon.webclient.api
Classes in io.helidon.webclient.api with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceQualifier for injection points of generated typed REST clients. -
Uses of Service.Qualifier in io.helidon.webclient.grpc
Classes in io.helidon.webclient.grpc with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceQualifier for generated declarative gRPC client implementations. -
Uses of Service.Qualifier in io.helidon.webclient.websocket
Classes in io.helidon.webclient.websocket with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceDefinition of the websocket client API. -
Uses of Service.Qualifier in io.helidon.webserver.graphql
Classes in io.helidon.webserver.graphql with annotations of type Service.QualifierModifier and TypeClassDescriptionstatic @interfaceMarks the source object parameter for a child field resolver.